#!/bin/sh
os=`uname -a | awk {'print $1'}`

if [ "$os" = "FreeBSD" ]; then
        chargestate=`sysctl hw.acpi.battery.state | awk '{print $2}'` 
        batterypercent=`sysctl hw.acpi.battery.life | awk '{print $2}'`
        clock=`date +'%Y-%m-%d %H:%M'`
fi

if [ "$chargestate" = 2 ]; then
        chargestatus="charging"
	elif [ "$chargestate" = 0 ]; then
        chargestatus="full/not charging"
else
        chargestatus="discharging"
fi

echo "$chargestatus" - "$batterypercent"% - "$clock"
